Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

[suse72 kde31 yast2]

maximilaan
4 antwoorden
  • Hoi,
    ik heb, net als velen met mij, netjes een update naar kde31 uitgevoerd met de suse72 versie van de kde-server (niet suse), maar ik krijg nu, als ik in het controlcenter een yast2 onderdeel wil starten de mededeling:

    [quote:3a66c65ec1]libkcm_yast2.la niet in paths gevonden[/quote:3a66c65ec1]

    Dit bestand staat reeds in mijn /opt/kde2/lib directory (komt uit kdebase-yast2.rpm). Als ik links aanleg in opt/kde3/lib dan crasht controlcenter direct bij het starten.
    Ik heb de suse-sdb hint uitgevoerd om kdebase en daarna susewm opnieuw te installeren, maar dat help ook niet.

    Heeft iemand een idee hoe ik dit moet oplossen?
    Het enige wat ik nog niet heb geprobeerd is opnieuw kde2-compat.rpm installeren. Dat kan ik hier niet doen (Linuxbak staat thuis), wordt dus vanavond. Andere ideeen?

    Thanx
  • [quote:48a88c010b="Gonzo"] update naar kde31 uitgevoerd met de suse72 versie van de kde-server (niet suse)[/quote:48a88c010b]Bedoel je deze kde 3.1 :roll:
  • Dat de embedding van het kde2-pakket mislukt komt doordat deze niet compatible is met kde3.
    Ik verwacht niet dat na het installeren van de compat-libs dit wel gaat lukken, maar je kunt het altijd proberen.

    Eigenlijk zou je een pakket kdebase-yast3.1 moeten hebben, maar die is er niet zie ik :(

    Maar je kunt yast ook gebruiken zonder integratie in kcontrol.

    Wil je Yast vanuit kcontrol kunnen bereiken?
    Ga dan als root naar /etc/opt/kde3/share/applnk/Settings/YaST
    Maak hiervan een backup, en klik op elk .desktopbestand in de onderliggende mappen met je rechter muisknop, en selecteer [b:b1e79f61c8]eigenschappen[/b:b1e79f61c8]
    Verander onder tabblad [b:b1e79f61c8]uitvoeren[/b:b1e79f61c8] het commando om je yastmodule op te starten.
    Bijv. bij
    [b:b1e79f61c8]/etc/opt/kde3/share/applnk/Settings/YaST/Hardware/yast2-mouse.desktop[/b:b1e79f61c8]
    verander je het commando [b:b1e79f61c8]kdesu kcmshell YaST/Hardware/yast2-mouse[/b:b1e79f61c8] in [b:b1e79f61c8]kdesu "sbin/yast2 mouse"[/b:b1e79f61c8]
    Hierna is deze module wel bereikbaar vanuit kcontrol, maar wordt hij niet langer ingebed in deze applicatie.

    Max
  • Thanx Max,
    Ik ga dit proberen. (moet weer wachten tot ik thuis ben)
    Maaarrreee had ik dit zelf kunnen vinden in de docs? Ik heb best wel eea nagelezen maar waarschijnlijk niet op de goede plek.


    Jolo,
    dat is inderdaad de lokatie waar ik ze vandaan gehaald heb. Bij SuSE lijkt het erop dat ze de ondersteuning van 7.2 hebben laten vallen! Er wordt wel aagegeven dat KDE3.1 er is voor van 7.3 t/m 8.1.
    Van een aantal lijsten bij SuSE begrijp ik weer dat de "SuSE eigen" compilatie van KDE3.1 pas deze week uitkomt…..

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.